Expenses
Get Hris Expense Report Details For Org
Returns an org expense report with line items, files and payment records; approver view redacted.
GEThttps://api.toku.com/hris/get-hris-expense-report-details-for-org
Required scope: expenses:read
curl --request GET \
--url 'https://api.toku.com/hris/get-hris-expense-report-details-for-org?hrisExpenseReportID=%3ChrisExpenseReportID%3E' \
--header 'Authorization: Bearer <token>'200 response
{
"report": {
"hrisExpenseReportID": "string",
"roleInOrgID": "string",
"roleInOrgName": "string",
"roleInOrgEmail": "string",
"roleInOrgDepartment": "string",
"name": "string",
"status": "string",
"startDate": "string",
"endDate": "string",
"expensedCurrencyID": "string",
"expensedCurrencyCode": "string",
"expensedCurrencyName": "string",
"totalAmountInExpenseCurrency": "string",
"submittedAt": "string",
"approvedAt": "string",
"rejectedAt": "string",
"paidAt": "string",
"payoutStatus": "string",
"decisionUndoableUntil": "string",
"rejectionReason": "string",
"reviewComment": "string",
"createdAt": "string",
"updatedAt": "string",
"expenseCount": 0,
"categoryNames": [
"string"
],
"primaryExpenseCategoryName": "string",
"hasReceiptlessExpenses": true,
"thirdPartyProvider": "string",
"thirdPartyReportID": "string",
"reimbursementSyncedAt": "string",
"reimbursementSyncError": "string",
"justification": "string"
},
"expenses": [
{
"hrisExpenseID": "string",
"hrisExpenseReportID": "string",
"roleInOrgID": "string",
"merchant": "string",
"description": "string",
"hrisExpenseCategoryID": "string",
"hrisExpenseCategoryName": "string",
"expensedDate": "string",
"submittedDate": "string",
"amountSpent": "string",
"currencySpentID": "string",
"currencySpentCode": "string",
"amountInExpenseCurrency": "string",
"expensedCurrencyID": "string",
"expensedCurrencyCode": "string",
"exchangeRateFromCurrencySpentToExpense": "string",
"status": "string",
"isReimbursable": true,
"approvedAt": "string",
"rejectedAt": "string",
"reimbursedAt": "string",
"rejectionReason": "string",
"createdAt": "string",
"updatedAt": "string",
"files": [
{
"hrisExpenseFileID": "string",
"fileID": "string",
"fileName": "string",
"mimeType": "string",
"fileSizeInBytes": "string",
"fileUploaded": "string"
}
]
}
],
"paymentRecords": [
{
"paymentRecordID": "string",
"method": "string",
"source": "string",
"amount": "string",
"currencyCode": "string",
"paidAt": "string",
"proofReference": "string",
"chain": "string",
"explorerUrl": "string",
"notes": "string",
"createdAt": "string",
"attachments": [
{
"paymentRecordAttachmentID": "string",
"fileID": "string",
"fileName": "string",
"mimeType": "string",
"fileSizeInBytes": "string"
}
],
"destinationSnapshot": {}
}
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
hrisExpenseReportIDstring<uuid>requiredResponse
200Successful response
reportobjectrequiredShow child attributes
hrisExpenseReportIDstringrequiredroleInOrgIDstringrequiredroleInOrgNamestring | nullrequiredroleInOrgEmailstring | nullrequiredroleInOrgDepartmentstring | nullrequirednamestringrequiredstatusstringrequiredstartDatestring | nullrequiredendDatestring | nullrequiredexpensedCurrencyIDstring | nullrequiredexpensedCurrencyCodestring | nullrequiredexpensedCurrencyNamestring | nullrequiredtotalAmountInExpenseCurrencystring | nullrequiredsubmittedAtstring | nullrequiredapprovedAtstring | nullrequiredrejectedAtstring | nullrequiredpaidAtstring | nullrequiredpayoutStatusstring | nullrequireddecisionUndoableUntilstring | nullrequiredrejectionReasonstring | nullrequiredreviewCommentstring | nullrequiredcreatedAtstring | nullrequiredupdatedAtstring | nullrequiredexpenseCountnumberrequiredcategoryNamesstring[]requiredprimaryExpenseCategoryNamestring | nullrequiredhasReceiptlessExpensesbooleanrequiredthirdPartyProviderstring | nullrequiredthirdPartyReportIDstring | nullrequiredreimbursementSyncedAtstring | nullrequiredreimbursementSyncErrorstring | nullrequiredjustificationstring | nullrequiredexpensesobject[]requiredShow child attributes
hrisExpenseIDstringrequiredhrisExpenseReportIDstringrequiredroleInOrgIDstringrequiredmerchantstring | nullrequireddescriptionstring | nullrequiredhrisExpenseCategoryIDstring | nullrequiredhrisExpenseCategoryNamestring | nullrequiredexpensedDatestringrequiredsubmittedDatestring | nullrequiredamountSpentstringrequiredcurrencySpentIDstringrequiredcurrencySpentCodestringrequiredamountInExpenseCurrencystringrequiredexpensedCurrencyIDstringrequiredexpensedCurrencyCodestring | nullrequiredexchangeRateFromCurrencySpentToExpensestringrequiredstatusstringrequiredisReimbursablebooleanrequiredapprovedAtstring | nullrequiredrejectedAtstring | nullrequiredreimbursedAtstring | nullrequiredrejectionReasonstring | nullrequiredcreatedAtstringrequiredupdatedAtstringrequiredfilesobject[]requiredShow child attributes
hrisExpenseFileIDstringrequiredfileIDstringrequiredfileNamestringrequiredmimeTypestringrequiredfileSizeInBytesstring | nullrequiredfileUploadedstring | nullrequiredpaymentRecordsobject[]requiredShow child attributes
paymentRecordIDstringrequiredmethodstringrequiredsourcestringrequiredamountstringrequiredcurrencyCodestringrequiredpaidAtstringrequiredproofReferencestring | nullrequiredchainstring | nullrequiredexplorerUrlstring | nullrequirednotesstring | nullrequiredcreatedAtstringrequiredattachmentsobject[]requiredShow child attributes
paymentRecordAttachmentIDstringrequiredfileIDstringrequiredfileNamestringrequiredmimeTypestringrequiredfileSizeInBytesstring | nullrequireddestinationSnapshotobject | nullrequiredShow child attributes
summaryany400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits